
Infrastructure - Bug #7329

bouncy castle dependencies at different versions

2015-09-04 14:50 - Robert Waltz

Status: Closed Start date: 2015-09-04

Priority: High Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

Bouncy Castle dependencies in various projects have different version. 

Change any project pom a Bouncy Castle dependency to conform to version 1.52, or [xxx]-jdk15on-152.jar

Associated revisions

Revision 16257 - 2015-09-07 00:15 - Chris Jones

Upgrade the Bouncy Castle library to 1.52. refs #7329

Revision 16257 - 2015-09-07 00:15 - Chris Jones

Upgrade the Bouncy Castle library to 1.52. refs #7329

History

#1 - 2015-09-04 15:27 - Chris Jones

- Assignee changed from Robert Waltz to Chris Jones

#2 - 2015-09-07 18:31 - Chris Jones

We should remove jars from the following locations:

/usr/lib/jvm/java-7-openjdk-amd64/jre/lib/ext/bcprov-jdk16-1.46.jar

/usr/share/dataone-cn-os-core/bcprov-jdk16-1.46.jar

/var/lib/tomcat7/webapps/metacat/WEB-INF/lib/bcprov-jdk16-1.46.jar

/var/lib/tomcat7/webapps/onemercury/WEB-INF/lib/bcprov-jdk16-1.46.jar

/var/lib/tomcat7/webapps/portal/WEB-INF/lib/bcprov-jdk16-1.46.jar

/var/solr/contrib/extraction/lib/bcprov-jdk15-1.45.jar

Just keeping a list here.

#3 - 2015-09-29 20:59 - Chris Jones

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

This is done.
